<!doctype html>
<head>
    {% block head %}
    <title>{% block title %}{% endblock %}</title>
    {% block css %}
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/5.0.0-beta1/css/bootstrap.min.css"
          integrity="sha512-thoh2veB35ojlAhyYZC0eaztTAUhxLvSZlWrNtlV01njqs/UdY3421Jg7lX0Gq9SRdGVQeL8xeBp9x1IPyL1wQ=="
          crossorigin="anonymous"/>
    {% endblock %}
    {% block style %}
    <style>
        body {
            background-color: #eee;
            font-family: 'Source Sans Pro', sans-serif;
        }

        .header-image {
            height: 300px;
            color: #eeeeee;
            padding: 0;
        }

        .header-info {
            background-color: rgba(0, 0, 0, 0.65);
            width: 100%;
            height: 100%;
            padding-top: 50px;
            text-align: center;
        }

        .header-info-details h1 {
            font-size: 56px;
        }

        .header-info-details {
            border-top: 1px solid #eee;
            width: 80%;
            margin: 50px auto 0;
            padding-top: 50px;
            font-size: 20px;
        }

        .jumbotron {
            margin-bottom: 2rem;
        }

        .header-image {
            background-color: #333366;
            background-image: url({% block header_cover %}{% endblock %});
            background-position: center 20%;
            background-repeat: no-repeat;
            background-size: cover;
        }
    </style>
    {% endblock %}
    {% endblock %}
</head>
<body>
{% block header %}
<div class="jumbotron header-image">
    <div class="header-info">
        <h1>{% block header_title %}{{ gallery['title'] }}{% endblock %}</h1>
        <div class="header-info-details">
            {% block header_details %}
            {{ gallery['subtitle'] }}
            {% endblock %}
        </div>
    </div>
</div>
{% endblock %}

{% block content %}{% endblock %}
{% block javascript %}
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.5.1/jquery.min.js"
        integrity="sha512-bLT0Qm9VnAYZDflyKcBaQ2gg0hSYNQrJ8RilYldYQ1FxQYoCLtUjuuRuZo+fjqhx/qtq/1itJ0C2ejDxltZVFg=="
        crossorigin="anonymous"></script>
{% endblock %}
</body>
</html>
